## Types

Types — Public data structures used throughout OGMDvd

## Types and Values

| OGMDvdDisc
| OGMDvdTitle
| OGMDvdStream
| OGMDvdAudioStream
| OGMDvdSubpStream
| OGMDvdReader
| OGMDvdParser

## Object Hierarchy

## Includes

    #include <ogmdvd-types.h>

## Description

## Functions

## Types and Values

### OGMDvdDisc

    typedef struct _OGMDvdDisc OGMDvdDisc;

An opaque structure representing a DVD disc

### OGMDvdTitle

    typedef struct _OGMDvdTitle OGMDvdTitle;

An opaque structure representing a DVD title

### OGMDvdStream

    typedef struct _OGMDvdStream OGMDvdStream;

An opaque structure representing a DVD stream

### OGMDvdAudioStream

    typedef struct _OGMDvdAudioStream OGMDvdAudioStream;

An opaque structure representing a DVD audio stream

### OGMDvdSubpStream

    typedef struct _OGMDvdSubpStream OGMDvdSubpStream;

An opaque structure representing a DVD subtitle stream

### OGMDvdReader

    typedef struct _OGMDvdReader OGMDvdReader;

An opaque structure to read the content of a DVD

### OGMDvdParser

    typedef struct _OGMDvdParser OGMDvdParser;

An opaque structure to parse the content of a DVD